require("model2");	-- Import model2 machine globals
require("ReadLines"); --loads lines of a file into an array

function Init()
KPTimer=20
CHS=lines_from( "\crosshairs/crosshairs.lst")
CFG=lines_from("\crosshairs/vcop2.cfg")
P1CHPOS=tonumber(CFG[1])
P2CHPOS=tonumber(CFG[2])
CHVIS=tonumber(CFG[3])
	
if CHVIS == 1 then
	P1CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[P1CHPOS].."1.png")
	P2CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[P2CHPOS].."2.png")
else
	P1CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[#CHS].."1.png")
	P2CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[#CHS].."2.png")
end

end

function PostDraw()

--min val 149 max val 644-- 
P1AX = (I960_ReadWord(0x507214))
--min val 38 max val 421--
P1AY = (I960_ReadWord(0x507218))
P2AX = (I960_ReadWord(0x50721c))
P2AY = (I960_ReadWord(0x507220))


width,height = Video_GetScreenSize();	

XPOS = (P1AX - 149) / 495;
XPOS = XPOS * width;

YPOS = ((P1AY - 38) / 383);
YPOS = (YPOS * height);


XPOS2 = (P2AX - 149) / 495;
XPOS2 = XPOS2 * width;

YPOS2 = ((P2AY - 38) / 383);
YPOS2 = (YPOS2 * height);


--Video_DrawText(XPOS,YPOS,"+",0xff0000)
--Video_DrawText(XPOS2,YPOS2,"+",0x0000ff)

--Video_DrawText(20,20,XPOS,0xff0000)
--Video_DrawText(20,40,YPOS,0x0000ff)	

Video_DrawSurface(P1CH,XPOS-24,YPOS-24)
Video_DrawSurface(P2CH,XPOS2-24,YPOS2-24)
--Video_DrawText(20,20,CFG[1],0xff0000)
--Video_DrawText(20,40,CFG[2],0x0000ff)
--Video_DrawText(20,60,CHS[P1CHPOS],0xff0000)
--Video_DrawText(20,80,CHS[P2CHPOS],0x0000ff)

KPTimer=KPTimer-1

if KPTimer < 1 then
	--Go To KeyCheck function... cleaner this way
	KeyCheck()
	KPTimer=20
end


end

function KeyCheck()
	--P1 Uses 7 P1 Uses 8 to cycle crosshairs
	--9 Toggles them on and off
	P1But = Input_IsKeyPressed(0x08)
	P2But = Input_IsKeyPressed(0x09)
	VisBut = Input_IsKeyPressed(0x0A)

	if P1But == 1 and CHVIS==1 then

		if P1CHPOS < #CHS-1 then 
			P1CHPOS = P1CHPOS + 1 
		else 
			P1CHPOS = 1 
		end  
		Video_ReleaseSurface(P1CH)
		P1CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[P1CHPOS].."1.png")
	end
	

	if P2But == 1 and CHVIS==1 then

		if P2CHPOS < #CHS-1 then 
			P2CHPOS = P2CHPOS + 1 
		else 
			P2CHPOS = 1 
		end  
		Video_ReleaseSurface(P2CH)
		P2CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[P2CHPOS].."2.png")
	end



	if VisBut == 1 then
		if CHVIS==1 then 
			CHVIS=0 
			Video_ReleaseSurface(P1CH)
			P1CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[#CHS].."1.png")
			Video_ReleaseSurface(P2CH)
			P2CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[#CHS].."2.png")
		else 
			CHVIS=1 
			Video_ReleaseSurface(P1CH)
			P1CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[P1CHPOS].."1.png")
			Video_ReleaseSurface(P2CH)
			P2CH=Video_CreateSurfaceFromFile("\crosshairs/"..CHS[P2CHPOS].."2.png")
		end
	end

end


function End()
	--Save our Settings
	local file = io.open("\crosshairs/vcop2.cfg", "w")
	file:write(P1CHPOS.."\n"..P2CHPOS.."\n"..CHVIS)
	file:close()

end




